[PATCH net] selftests: Fix raw socket bind tests with VRF

Subsystems: kernel selftest framework, networking [general], the rest

STALE1760d

2 messages, 2 authors, 2021-12-12 · open the first message on its own page

[PATCH net] selftests: Fix raw socket bind tests with VRF

From: David Ahern <dsahern@kernel.org>
Date: 2021-12-11 17:21:29

Commit referenced below added negative socket bind tests for VRF. The
socket binds should fail since the address to bind to is in a VRF yet
the socket is not bound to the VRF or a device within it. Update the
expected return code to check for 1 (bind failure) so the test passes
when the bind fails as expected. Add a 'show_hint' comment to explain
why the bind is expected to fail.

Fixes: 75b2b2b3db4c ("selftests: Add ipv4 address bind tests to fcnal-test")
Reported-by: Li Zhijian <redacted>
Signed-off-by: David Ahern <dsahern@kernel.org>
---
 tools/testing/selftests/net/fcnal-test.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
diff --git a/tools/testing/selftests/net/fcnal-test.sh b/tools/testing/selftests/net/fcnal-test.sh
index d0c45023b4d4..25bba4557a8e 100755
--- a/tools/testing/selftests/net/fcnal-test.sh
+++ b/tools/testing/selftests/net/fcnal-test.sh
@@ -1825,8 +1825,9 @@ ipv4_addr_bind_vrf()
 	for a in ${NSA_IP} ${VRF_IP}
 	do
 		log_start
+		show_hint "Socket not bound to VRF, but address is in VRF"
 		run_cmd nettest -s -R -P icmp -l ${a} -b
-		log_test_addr ${a} $? 0 "Raw socket bind to local address"
+		log_test_addr ${a} $? 1 "Raw socket bind to local address"
 
 		log_start
 		run_cmd nettest -s -R -P icmp -l ${a} -I ${NSA_DEV} -b
-- 
2.25.1

Re: [PATCH net] selftests: Fix raw socket bind tests with VRF

From: patchwork-bot+netdevbpf@kernel.org
Date: 2021-12-12 16:30:17

Hello:

This patch was applied to netdev/net.git (master)
by David S. Miller [off-list ref]:

On Sat, 11 Dec 2021 10:21:08 -0700 you wrote:
Commit referenced below added negative socket bind tests for VRF. The
socket binds should fail since the address to bind to is in a VRF yet
the socket is not bound to the VRF or a device within it. Update the
expected return code to check for 1 (bind failure) so the test passes
when the bind fails as expected. Add a 'show_hint' comment to explain
why the bind is expected to fail.

[...]
Here is the summary with links:
  - [net] selftests: Fix raw socket bind tests with VRF
    https://git.kernel.org/netdev/net/c/0f108ae44520

You are awesome, thank you!
-- 
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html

Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help